<?php
return [
	'type' => \Ep\WordPress\Form\SettingsForm::class,

	'attributes' => [
		'title' => 'Općenito',
	],

	'elements' => [[
		'spec' => [
			'type' => 'checkbox',
			'name' => 'enabled',
			'options' => [
				'label' => 'Uključi/isključi',
				'description' => 'Omogući korištenje podataka iz Gatha',
			],
		],
	], [
		'spec' => [
			'type' => 'url',
			'name' => 'base_uri',
			'options' => [
				'label' => 'Osnovni URI',
				'description' => 'Adresa servera na kojoj se vrti servis.',
			],
		],
	], [
		'spec' => [
			'type' => 'url',
			'name' => 'images_base_uri',
			'options' => [
				'label' => 'Osnovni URI servisa za slike',
			],
		],
	], [
		'spec' => [
			'type' => 'number',
			'name' => 'timeout',
			'options' => [
				'label' => 'Timeout',
				'description' => 'Koliko sekundi ćemo čekati za odgovor od Gatha prije nego što riknemo.',
			],
			'attributes' => [
				'placeholder' => '2',
			],
		],
	], [
		'spec' => [
			'type' => 'MultiCheckbox',
			'name' => 'modules',
			'options' => [
				'label' => 'Aktivni Moduli',
				'disable_inarray_validator' => true,
				'value_options' => [
					'prices' => 'Cijene',
					'products' => 'Proizvodi',
					'stock' => 'Zaliha',
				],
			],
		],
	], [
		'spec' => [
			'type' => 'checkbox',
			'name' => 'dontPreloadGrouped',
			'options' => [
				'label' => 'Ne preloadaj grupirane',
				'description' => 'Ako je ovo aktivno, za grupirane proizvode nećemo pokušavati preloadati svu djecu iz Gatha',
			],
		],
	]],

	'input_filter' => [
		'base_uri' => [
			'required' => true,
			'validator_chain' => [
				'name' => 'DisableableValidatorChain',
				'options' => [
					'name' => 'enabled',
					'value' => '1',
				],
			],
		],
		'timeout' => [
			'required' => false,
		],
		'modules' => [
			'required' => false,
		],
	],
];