<?php
namespace Ep\Core;

use Ep\Installer;
use Psr\Log\LoggerInterface;

/**
 * Pruža osnovnu konfiguraciju sustava.
 *
 * @package Ep\Core
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ConfigProvider
{
	public function __invoke()
	{
		return [
			'dependencies' => $this->getDependencyConfig(),
		];
	}

	/**
	 * Vraća konfiguraciju service managera.
	 *
	 * @return array
	 */
	public function getDependencyConfig()
	{
		return [
			'aliases' => [
				'EpInstaller' => Installer::class,
				'Log' => LoggerInterface::class,
			],
			'factories' => [
				LoggerInterface::class => LoggerFactory::class,
			],
		];
	}
}