<?php
namespace Ep\WordPress\Form;

use WP_Post_Type;
use Zend\Form\Element\Select;
use Zend\I18n\Exception\RuntimeException;

/**
 * Omogućuje odabir vrste posta.
 *
 * @package Ep\WordPress\Form
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class PostTypeSelect extends Select
{
	/**
	 * Inicijalizacija
	 */
	public function init()
	{
		parent::init();

		if (!function_exists('get_post_types')) {
			throw new RuntimeException('PostTypeSelect element ovisi o WordPress-u.');
		}

		$postTypes = [];
		/** @var WP_Post_Type[] $postTypeObjects */
		$postTypeObjects = get_post_types([], 'objects');

		foreach ($postTypeObjects as $postType) {
			$postTypes[$postType->name] = $postType->label;
		}

		asort($postTypes);

		$this->setValueOptions($postTypes);
	}
}