<?php
namespace Ep\WordPress\Service;

use Ep\Core\UserProviderInterface;

/**
 * Class DevPanel
 *
 * @package Ep\WordPress\Service
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class DevPanel extends AbstractWordPressService
{
	public function attach(): void
	{
		add_action('wp_footer', [$this, 'renderPanel']);
		add_action('wp_enqueue_scripts', [$this, 'assets']);
	}

	public function assets()
	{
		$manifest = json_decode(file_get_contents(EP_WEBSHOP_DIR . '/dist/manifest.json'), true);
		wp_enqueue_style('ep-dev', sprintf('%s/dist/%s', EP_WEBSHOP_URL, $manifest['ep-dev.css']));
	}

	public function renderPanel()
	{
		/** @var UserProviderInterface $users */
		$users = $this->services->get('WordPressUsers');

		echo $this->getView()->render('dev/panel.twig', [
			'is_logged_in' => $users->hasUser() ? 'DA' : 'NE',
			'is_wholesale' => $users->isWholesale() ? 'DA' : 'NE',
		]);
	}
}