<?php
namespace Ep\WordPress\Settings;

/**
 * Komponente koje imaju nekakve postavke definiraju ih kroz ovakav jedan objekt.
 *
 * @package Ep\WordPress\Settings
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
interface SettingsProviderInterface
{
	/**
	 * Vraća zadane postavke koje provider pruža.
	 *
	 * @return array
	 */
	public function getDefaults();

	/**
	 * Vraća forme za postavke.
	 *
	 * @return array
	 */
	public function getForms();

	/**
	 * Vraća tabove u control panelu koje ovaj provider definira.
	 *
	 * @return array
	 */
	public function getTabs();
}