<?php
namespace EpTest\Gath;

use Ep\Gath\WordPress\ProductProvider;
use Ep\WordPress\Service\MetadataProviderInterface;
use EpTest\IntegrationTestCase;

class IntegrationTest extends IntegrationTestCase
{
	protected $wpOptions = [
		'ep_gath' => [
			'enabled' => '1',
			'base_uri' => 'http://192.168.56.20:57021',
			'timeout' => 2,
			'modules' => [
				'prices',
				'products',
				'stock',
			],
		],
	];

	public function testPriceProviderIsRegistered()
	{
		$services = $this->getServiceManager();

		$this->assertTrue($services->has('GathPriceProvider'));
		$this->assertInstanceOf(MetadataProviderInterface::class, $services->get('GathPriceProvider'));
	}

	public function testGetPostReturnsCachedPost()
	{
		$services = $this->getServiceManager();
		/** @var ProductProvider $products */
		$products = $services->get('GathProductProvider');

		$post = $products->getProduct(1000008);
		$fetched = get_post(1000008);

		$this->assertInstanceOf(\WP_Post::class, $fetched);
		$this->assertEquals($post->ID, $fetched->ID);
		$this->assertEquals($post->post_title, $post->post_title);
	}
}